# linterjs

> The easy to use js linter.

___linterjs___:

* Is an [eslint](https://github.com/eslint/eslint) wrapper, like [standard](https://github.com/standard/standard) or [xo](https://github.com/sindresorhus/xo)
* Use the same rules as `XO`, minus all stilistic one.
* Use [eslint-config-prettier](https://github.com/prettier/eslint-config-prettier) to force same stile enforced by [prettier](https://github.com/prettier/prettier)
* Has a [Sublime Text plugin](https://github.com/parro-it/SublimeLinter-contrib-linterjs)
* Has a `watch` mode that run linting on file changes.

# Install

```bash
npm install -D linterjs
```

# Usage

_lint all files in current directory:_
```bash
linterjs .
```

_using watch mode:_
```bash
linterjs . --watch
```

# License

Licensed as MIT

© Andrea Parodi 2017
