import rules from "./rules";

export default {
  parser: "babel-eslint",
  parserOptions: {
    sourceType: "module"
  },
  envs: ["browser", "node", "es6"],
  cache: true,
  plugins: [
    "eslint-plugin-ava",
    "eslint-plugin-import",
    "eslint-plugin-prettier",
    "eslint-plugin-unicorn",
    "eslint-plugin-react"
  ],
  ignorePattern: ["node_modules", "fixtures/*", "_*/*"],
  rules
};
