import configPrettier from "eslint-config-prettier";
import configXo from "eslint-config-xo";
import configXoEsnext from "eslint-config-xo/esnext";
import configUnicorn from "eslint-plugin-unicorn";
import configAva from "eslint-plugin-ava";
import configReact from "eslint-config-xo-react";
import { configs as configImport } from "eslint-plugin-import";

export default Object.assign(
  { "prettier/prettier": "error" },
  configXo.rules,
  configXoEsnext.rules,
  configUnicorn.configs.recommended.rules,
  configAva.configs.recommended.rules,
  configImport.recommended.rules,
  configPrettier.rules,
  configReact.rules,
  {
    "unicorn/no-process-exit": 0,
    "no-await-in-loop": 0,
    "import/unambiguous": 0,
    "react/jsx-indent-props": [2, 2],
    "react/jsx-indent": [2, 2],
    "react/jsx-tag-spacing": 0
  }
);
